<template>
    <div class="free-shipping-alert">
        <div class="shipping-alert-title">ENVÍOS GRATIS</div>
        <div class="shipping-alert-subtitle">
            si tu compra es de un monto igual o mayor a <span>${{ freeShippingMessage }}</span>
        </div>
    </div>
</template>

<script>
import { useParametersStore } from "../../js/stores/parameters";
import { computed } from "vue";

export default {
    setup() {
        const parameters = useParametersStore();

        // Computed para formatear el valor si es necesario
        const freeShippingMessage = computed(() => parameters.freeShippingMessage || "0");

        return {
            freeShippingMessage,
        };
    },
};
</script>

<style lang="scss">
@use "../../scss/variables" as vars;

.free-shipping-alert {
    background-color: vars.$latelight-just;
    text-align: center;
    padding: 19px 24px;
    border-radius: 8px;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.shipping-alert-title {
    font-weight: 700;
    font-size: 16px;
}

.shipping-alert-subtitle {
    font-size: 18px;

    span {
        font-weight: 700;
        font-size: 16px;
    }
}

@media screen and (width <= 600px) {
    .free-shipping-alert {
        margin-bottom: 30px;
    }
}
</style>
